<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEFatura ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfEFatura
 * @subpackage Arrays
 */
class ArrayOfEFatura extends AbstractStructArrayBase
{
    /**
     * The EFatura
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EFatura[]
     */
    public $EFatura;
    /**
     * Constructor method for ArrayOfEFatura
     * @uses ArrayOfEFatura::setEFatura()
     * @param \StructType\EFatura[] $eFatura
     */
    public function __construct(array $eFatura = array())
    {
        $this
            ->setEFatura($eFatura);
    }
    /**
     * Get EFatura value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EFatura[]|null
     */
    public function getEFatura()
    {
        return isset($this->EFatura) ? $this->EFatura : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEFatura method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEFatura method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEFaturaForArrayConstraintsFromSetEFatura(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEFaturaEFaturaItem) {
            // validation for constraint: itemType
            if (!$arrayOfEFaturaEFaturaItem instanceof \StructType\EFatura) {
                $invalidValues[] = is_object($arrayOfEFaturaEFaturaItem) ? get_class($arrayOfEFaturaEFaturaItem) : sprintf('%s(%s)', gettype($arrayOfEFaturaEFaturaItem), var_export($arrayOfEFaturaEFaturaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EFatura property can only contain items of type \StructType\EFatura, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EFatura value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EFatura[] $eFatura
     * @return \ArrayType\ArrayOfEFatura
     */
    public function setEFatura(array $eFatura = array())
    {
        // validation for constraint: array
        if ('' !== ($eFaturaArrayErrorMessage = self::validateEFaturaForArrayConstraintsFromSetEFatura($eFatura))) {
            throw new \InvalidArgumentException($eFaturaArrayErrorMessage, __LINE__);
        }
        if (is_null($eFatura) || (is_array($eFatura) && empty($eFatura))) {
            unset($this->EFatura);
        } else {
            $this->EFatura = $eFatura;
        }
        return $this;
    }
    /**
     * Add item to EFatura value
     * @throws \InvalidArgumentException
     * @param \StructType\EFatura $item
     * @return \ArrayType\ArrayOfEFatura
     */
    public function addToEFatura(\StructType\EFatura $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EFatura) {
            throw new \InvalidArgumentException(sprintf('The EFatura property can only contain items of type \StructType\EFatura, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EFatura[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EFatura|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EFatura|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EFatura|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EFatura|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EFatura|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EFatura
     */
    public function getAttributeName()
    {
        return 'EFatura';
    }
}
