<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebSiparisDurumLog ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebSiparisDurumLog
 * @subpackage Arrays
 */
class ArrayOfWebSiparisDurumLog extends AbstractStructArrayBase
{
    /**
     * The WebSiparisDurumLog
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WebSiparisDurumLog[]
     */
    public $WebSiparisDurumLog;
    /**
     * Constructor method for ArrayOfWebSiparisDurumLog
     * @uses ArrayOfWebSiparisDurumLog::setWebSiparisDurumLog()
     * @param \StructType\WebSiparisDurumLog[] $webSiparisDurumLog
     */
    public function __construct(array $webSiparisDurumLog = array())
    {
        $this
            ->setWebSiparisDurumLog($webSiparisDurumLog);
    }
    /**
     * Get WebSiparisDurumLog value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WebSiparisDurumLog[]|null
     */
    public function getWebSiparisDurumLog()
    {
        return isset($this->WebSiparisDurumLog) ? $this->WebSiparisDurumLog : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebSiparisDurumLog method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebSiparisDurumLog method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebSiparisDurumLogForArrayConstraintsFromSetWebSiparisDurumLog(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebSiparisDurumLogWebSiparisDurumLogItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebSiparisDurumLogWebSiparisDurumLogItem instanceof \StructType\WebSiparisDurumLog) {
                $invalidValues[] = is_object($arrayOfWebSiparisDurumLogWebSiparisDurumLogItem) ? get_class($arrayOfWebSiparisDurumLogWebSiparisDurumLogItem) : sprintf('%s(%s)', gettype($arrayOfWebSiparisDurumLogWebSiparisDurumLogItem), var_export($arrayOfWebSiparisDurumLogWebSiparisDurumLogItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebSiparisDurumLog property can only contain items of type \StructType\WebSiparisDurumLog, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebSiparisDurumLog value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\WebSiparisDurumLog[] $webSiparisDurumLog
     * @return \ArrayType\ArrayOfWebSiparisDurumLog
     */
    public function setWebSiparisDurumLog(array $webSiparisDurumLog = array())
    {
        // validation for constraint: array
        if ('' !== ($webSiparisDurumLogArrayErrorMessage = self::validateWebSiparisDurumLogForArrayConstraintsFromSetWebSiparisDurumLog($webSiparisDurumLog))) {
            throw new \InvalidArgumentException($webSiparisDurumLogArrayErrorMessage, __LINE__);
        }
        if (is_null($webSiparisDurumLog) || (is_array($webSiparisDurumLog) && empty($webSiparisDurumLog))) {
            unset($this->WebSiparisDurumLog);
        } else {
            $this->WebSiparisDurumLog = $webSiparisDurumLog;
        }
        return $this;
    }
    /**
     * Add item to WebSiparisDurumLog value
     * @throws \InvalidArgumentException
     * @param \StructType\WebSiparisDurumLog $item
     * @return \ArrayType\ArrayOfWebSiparisDurumLog
     */
    public function addToWebSiparisDurumLog(\StructType\WebSiparisDurumLog $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\WebSiparisDurumLog) {
            throw new \InvalidArgumentException(sprintf('The WebSiparisDurumLog property can only contain items of type \StructType\WebSiparisDurumLog, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebSiparisDurumLog[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\WebSiparisDurumLog|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\WebSiparisDurumLog|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\WebSiparisDurumLog|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\WebSiparisDurumLog|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\WebSiparisDurumLog|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebSiparisDurumLog
     */
    public function getAttributeName()
    {
        return 'WebSiparisDurumLog';
    }
}
