<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Set ServiceType
 * @subpackage Services
 */
class Set extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named SetSiparisAktarildi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisAktarildi $parameters
     * @return \StructType\SetSiparisAktarildiResponse|bool
     */
    public function SetSiparisAktarildi(\StructType\SetSiparisAktarildi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisAktarildi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisOdemeAktarildi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisOdemeAktarildi $parameters
     * @return \StructType\SetSiparisOdemeAktarildiResponse|bool
     */
    public function SetSiparisOdemeAktarildi(\StructType\SetSiparisOdemeAktarildi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisOdemeAktarildi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisAktarildiV2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisAktarildiV2 $parameters
     * @return \StructType\SetSiparisAktarildiV2Response|bool
     */
    public function SetSiparisAktarildiV2(\StructType\SetSiparisAktarildiV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisAktarildiV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisAktarildiIptal
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisAktarildiIptal $parameters
     * @return \StructType\SetSiparisAktarildiIptalResponse|bool
     */
    public function SetSiparisAktarildiIptal(\StructType\SetSiparisAktarildiIptal $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisAktarildiIptal($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisKargoyaVerildi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisKargoyaVerildi $parameters
     * @return \StructType\SetSiparisKargoyaVerildiResponse|bool
     */
    public function SetSiparisKargoyaVerildi(\StructType\SetSiparisKargoyaVerildi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisKargoyaVerildi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisTeslimEdildi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisTeslimEdildi $parameters
     * @return \StructType\SetSiparisTeslimEdildiResponse|bool
     */
    public function SetSiparisTeslimEdildi(\StructType\SetSiparisTeslimEdildi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisTeslimEdildi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetFaturaNo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetFaturaNo $parameters
     * @return \StructType\SetFaturaNoResponse|bool
     */
    public function SetFaturaNo(\StructType\SetFaturaNo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetFaturaNo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetHediyeCekiKullanildi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetHediyeCekiKullanildi $parameters
     * @return \StructType\SetHediyeCekiKullanildiResponse|bool
     */
    public function SetHediyeCekiKullanildi(\StructType\SetHediyeCekiKullanildi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetHediyeCekiKullanildi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisDurum
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisDurum $parameters
     * @return \StructType\SetSiparisDurumResponse|bool
     */
    public function SetSiparisDurum(\StructType\SetSiparisDurum $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisDurum($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisUrunDurum
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisUrunDurum $parameters
     * @return \StructType\SetSiparisUrunDurumResponse|bool
     */
    public function SetSiparisUrunDurum(\StructType\SetSiparisUrunDurum $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisUrunDurum($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSepetKampanya
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSepetKampanya $parameters
     * @return \StructType\SetSepetKampanyaResponse|bool
     */
    public function SetSepetKampanya(\StructType\SetSepetKampanya $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSepetKampanya($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisPaketlemeDurum
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisPaketlemeDurum $parameters
     * @return \StructType\SetSiparisPaketlemeDurumResponse|bool
     */
    public function SetSiparisPaketlemeDurum(\StructType\SetSiparisPaketlemeDurum $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisPaketlemeDurum($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisKargoFirmaId
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisKargoFirmaId $parameters
     * @return \StructType\SetSiparisKargoFirmaIdResponse|bool
     */
    public function SetSiparisKargoFirmaId(\StructType\SetSiparisKargoFirmaId $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisKargoFirmaId($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisOdemeDurum
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisOdemeDurum $parameters
     * @return \StructType\SetSiparisOdemeDurumResponse|bool
     */
    public function SetSiparisOdemeDurum(\StructType\SetSiparisOdemeDurum $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisOdemeDurum($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetEFaturaIptal
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetEFaturaIptal $parameters
     * @return \StructType\SetEFaturaIptalResponse|bool
     */
    public function SetEFaturaIptal(\StructType\SetEFaturaIptal $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetEFaturaIptal($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetReferansNo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetReferansNo $parameters
     * @return \StructType\SetReferansNoResponse|bool
     */
    public function SetReferansNo(\StructType\SetReferansNo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetReferansNo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisDurumListe
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisDurumListe $parameters
     * @return \StructType\SetSiparisDurumListeResponse|bool
     */
    public function SetSiparisDurumListe(\StructType\SetSiparisDurumListe $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisDurumListe($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSiparisFaturaUrl
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSiparisFaturaUrl $parameters
     * @return \StructType\SetSiparisFaturaUrlResponse|bool
     */
    public function SetSiparisFaturaUrl(\StructType\SetSiparisFaturaUrl $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSiparisFaturaUrl($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\SetEFaturaIptalResponse|\StructType\SetFaturaNoResponse|\StructType\SetHediyeCekiKullanildiResponse|\StructType\SetReferansNoResponse|\StructType\SetSepetKampanyaResponse|\StructType\SetSiparisAktarildiIptalResponse|\StructType\SetSiparisAktarildiResponse|\StructType\SetSiparisAktarildiV2Response|\StructType\SetSiparisDurumListeResponse|\StructType\SetSiparisDurumResponse|\StructType\SetSiparisFaturaUrlResponse|\StructType\SetSiparisKargoFirmaIdResponse|\StructType\SetSiparisKargoyaVerildiResponse|\StructType\SetSiparisOdemeAktarildiResponse|\StructType\SetSiparisOdemeDurumResponse|\StructType\SetSiparisPaketlemeDurumResponse|\StructType\SetSiparisTeslimEdildiResponse|\StructType\SetSiparisUrunDurumResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
