<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SelectSiparisUrun StructType
 * @subpackage Structs
 */
class SelectSiparisUrun extends AbstractStructBase
{
    /**
     * The UyeKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UyeKodu;
    /**
     * The siparisId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $siparisId;
    /**
     * The iptalEdilmisUrunler
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $iptalEdilmisUrunler;
    /**
     * Constructor method for SelectSiparisUrun
     * @uses SelectSiparisUrun::setUyeKodu()
     * @uses SelectSiparisUrun::setSiparisId()
     * @uses SelectSiparisUrun::setIptalEdilmisUrunler()
     * @param string $uyeKodu
     * @param int $siparisId
     * @param bool $iptalEdilmisUrunler
     */
    public function __construct($uyeKodu = null, $siparisId = null, $iptalEdilmisUrunler = null)
    {
        $this
            ->setUyeKodu($uyeKodu)
            ->setSiparisId($siparisId)
            ->setIptalEdilmisUrunler($iptalEdilmisUrunler);
    }
    /**
     * Get UyeKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUyeKodu()
    {
        return isset($this->UyeKodu) ? $this->UyeKodu : null;
    }
    /**
     * Set UyeKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uyeKodu
     * @return \StructType\SelectSiparisUrun
     */
    public function setUyeKodu($uyeKodu = null)
    {
        // validation for constraint: string
        if (!is_null($uyeKodu) && !is_string($uyeKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uyeKodu, true), gettype($uyeKodu)), __LINE__);
        }
        if (is_null($uyeKodu) || (is_array($uyeKodu) && empty($uyeKodu))) {
            unset($this->UyeKodu);
        } else {
            $this->UyeKodu = $uyeKodu;
        }
        return $this;
    }
    /**
     * Get siparisId value
     * @return int|null
     */
    public function getSiparisId()
    {
        return $this->siparisId;
    }
    /**
     * Set siparisId value
     * @param int $siparisId
     * @return \StructType\SelectSiparisUrun
     */
    public function setSiparisId($siparisId = null)
    {
        // validation for constraint: int
        if (!is_null($siparisId) && !(is_int($siparisId) || ctype_digit($siparisId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($siparisId, true), gettype($siparisId)), __LINE__);
        }
        $this->siparisId = $siparisId;
        return $this;
    }
    /**
     * Get iptalEdilmisUrunler value
     * @return bool|null
     */
    public function getIptalEdilmisUrunler()
    {
        return $this->iptalEdilmisUrunler;
    }
    /**
     * Set iptalEdilmisUrunler value
     * @param bool $iptalEdilmisUrunler
     * @return \StructType\SelectSiparisUrun
     */
    public function setIptalEdilmisUrunler($iptalEdilmisUrunler = null)
    {
        // validation for constraint: boolean
        if (!is_null($iptalEdilmisUrunler) && !is_bool($iptalEdilmisUrunler)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($iptalEdilmisUrunler, true), gettype($iptalEdilmisUrunler)), __LINE__);
        }
        $this->iptalEdilmisUrunler = $iptalEdilmisUrunler;
        return $this;
    }
}
