<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SiparisKargoTakipNoKontrolResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SiparisKargoTakipNoKontrolResponse
 * @subpackage Structs
 */
class SiparisKargoTakipNoKontrolResponse extends WebServisResponse
{
    /**
     * The KargoTakipLink
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $KargoTakipLink;
    /**
     * The KargoTakipNo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $KargoTakipNo;
    /**
     * The SiparisKargoTakipNoKontrolResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SiparisKargoTakipNoKontrolResponse
     */
    public $SiparisKargoTakipNoKontrolResult;
    /**
     * Constructor method for SiparisKargoTakipNoKontrolResponse
     * @uses SiparisKargoTakipNoKontrolResponse::setKargoTakipLink()
     * @uses SiparisKargoTakipNoKontrolResponse::setKargoTakipNo()
     * @uses SiparisKargoTakipNoKontrolResponse::setSiparisKargoTakipNoKontrolResult()
     * @param string $kargoTakipLink
     * @param string $kargoTakipNo
     * @param \StructType\SiparisKargoTakipNoKontrolResponse $siparisKargoTakipNoKontrolResult
     */
    public function __construct($kargoTakipLink = null, $kargoTakipNo = null, \StructType\SiparisKargoTakipNoKontrolResponse $siparisKargoTakipNoKontrolResult = null)
    {
        $this
            ->setKargoTakipLink($kargoTakipLink)
            ->setKargoTakipNo($kargoTakipNo)
            ->setSiparisKargoTakipNoKontrolResult($siparisKargoTakipNoKontrolResult);
    }
    /**
     * Get KargoTakipLink value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getKargoTakipLink()
    {
        return isset($this->KargoTakipLink) ? $this->KargoTakipLink : null;
    }
    /**
     * Set KargoTakipLink value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $kargoTakipLink
     * @return \StructType\SiparisKargoTakipNoKontrolResponse
     */
    public function setKargoTakipLink($kargoTakipLink = null)
    {
        // validation for constraint: string
        if (!is_null($kargoTakipLink) && !is_string($kargoTakipLink)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kargoTakipLink, true), gettype($kargoTakipLink)), __LINE__);
        }
        if (is_null($kargoTakipLink) || (is_array($kargoTakipLink) && empty($kargoTakipLink))) {
            unset($this->KargoTakipLink);
        } else {
            $this->KargoTakipLink = $kargoTakipLink;
        }
        return $this;
    }
    /**
     * Get KargoTakipNo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getKargoTakipNo()
    {
        return isset($this->KargoTakipNo) ? $this->KargoTakipNo : null;
    }
    /**
     * Set KargoTakipNo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $kargoTakipNo
     * @return \StructType\SiparisKargoTakipNoKontrolResponse
     */
    public function setKargoTakipNo($kargoTakipNo = null)
    {
        // validation for constraint: string
        if (!is_null($kargoTakipNo) && !is_string($kargoTakipNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kargoTakipNo, true), gettype($kargoTakipNo)), __LINE__);
        }
        if (is_null($kargoTakipNo) || (is_array($kargoTakipNo) && empty($kargoTakipNo))) {
            unset($this->KargoTakipNo);
        } else {
            $this->KargoTakipNo = $kargoTakipNo;
        }
        return $this;
    }
    /**
     * Get SiparisKargoTakipNoKontrolResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SiparisKargoTakipNoKontrolResponse|null
     */
    public function getSiparisKargoTakipNoKontrolResult()
    {
        return isset($this->SiparisKargoTakipNoKontrolResult) ? $this->SiparisKargoTakipNoKontrolResult : null;
    }
    /**
     * Set SiparisKargoTakipNoKontrolResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\SiparisKargoTakipNoKontrolResponse $siparisKargoTakipNoKontrolResult
     * @return \StructType\SiparisKargoTakipNoKontrolResponse
     */
    public function setSiparisKargoTakipNoKontrolResult(\StructType\SiparisKargoTakipNoKontrolResponse $siparisKargoTakipNoKontrolResult = null)
    {
        if (is_null($siparisKargoTakipNoKontrolResult) || (is_array($siparisKargoTakipNoKontrolResult) && empty($siparisKargoTakipNoKontrolResult))) {
            unset($this->SiparisKargoTakipNoKontrolResult);
        } else {
            $this->SiparisKargoTakipNoKontrolResult = $siparisKargoTakipNoKontrolResult;
        }
        return $this;
    }
}
