<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SiparisUrunIptalIadeRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SiparisUrunIptalIadeRequest
 * @subpackage Structs
 */
class SiparisUrunIptalIadeRequest extends AbstractStructBase
{
    /**
     * The IadeTutari
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $IadeTutari;
    /**
     * The KargoTutariIade
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $KargoTutariIade;
    /**
     * The KartaIade
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $KartaIade;
    /**
     * The SiparisId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $SiparisId;
    /**
     * The SiparisUrunListe
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfIptalIadeSiparisUrun
     */
    public $SiparisUrunListe;
    /**
     * The TumUrunlerDurumID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TumUrunlerDurumID;
    /**
     * The TumUrunlerIadeNedenID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TumUrunlerIadeNedenID;
    /**
     * The TumUrunlerIslem
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TumUrunlerIslem;
    /**
     * The TumuIptal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $TumuIptal;
    /**
     * Constructor method for SiparisUrunIptalIadeRequest
     * @uses SiparisUrunIptalIadeRequest::setIadeTutari()
     * @uses SiparisUrunIptalIadeRequest::setKargoTutariIade()
     * @uses SiparisUrunIptalIadeRequest::setKartaIade()
     * @uses SiparisUrunIptalIadeRequest::setSiparisId()
     * @uses SiparisUrunIptalIadeRequest::setSiparisUrunListe()
     * @uses SiparisUrunIptalIadeRequest::setTumUrunlerDurumID()
     * @uses SiparisUrunIptalIadeRequest::setTumUrunlerIadeNedenID()
     * @uses SiparisUrunIptalIadeRequest::setTumUrunlerIslem()
     * @uses SiparisUrunIptalIadeRequest::setTumuIptal()
     * @param float $iadeTutari
     * @param bool $kargoTutariIade
     * @param bool $kartaIade
     * @param int $siparisId
     * @param \ArrayType\ArrayOfIptalIadeSiparisUrun $siparisUrunListe
     * @param int $tumUrunlerDurumID
     * @param int $tumUrunlerIadeNedenID
     * @param int $tumUrunlerIslem
     * @param bool $tumuIptal
     */
    public function __construct($iadeTutari = null, $kargoTutariIade = null, $kartaIade = null, $siparisId = null, \ArrayType\ArrayOfIptalIadeSiparisUrun $siparisUrunListe = null, $tumUrunlerDurumID = null, $tumUrunlerIadeNedenID = null, $tumUrunlerIslem = null, $tumuIptal = null)
    {
        $this
            ->setIadeTutari($iadeTutari)
            ->setKargoTutariIade($kargoTutariIade)
            ->setKartaIade($kartaIade)
            ->setSiparisId($siparisId)
            ->setSiparisUrunListe($siparisUrunListe)
            ->setTumUrunlerDurumID($tumUrunlerDurumID)
            ->setTumUrunlerIadeNedenID($tumUrunlerIadeNedenID)
            ->setTumUrunlerIslem($tumUrunlerIslem)
            ->setTumuIptal($tumuIptal);
    }
    /**
     * Get IadeTutari value
     * @return float|null
     */
    public function getIadeTutari()
    {
        return $this->IadeTutari;
    }
    /**
     * Set IadeTutari value
     * @param float $iadeTutari
     * @return \StructType\SiparisUrunIptalIadeRequest
     */
    public function setIadeTutari($iadeTutari = null)
    {
        // validation for constraint: float
        if (!is_null($iadeTutari) && !(is_float($iadeTutari) || is_numeric($iadeTutari))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($iadeTutari, true), gettype($iadeTutari)), __LINE__);
        }
        $this->IadeTutari = $iadeTutari;
        return $this;
    }
    /**
     * Get KargoTutariIade value
     * @return bool|null
     */
    public function getKargoTutariIade()
    {
        return $this->KargoTutariIade;
    }
    /**
     * Set KargoTutariIade value
     * @param bool $kargoTutariIade
     * @return \StructType\SiparisUrunIptalIadeRequest
     */
    public function setKargoTutariIade($kargoTutariIade = null)
    {
        // validation for constraint: boolean
        if (!is_null($kargoTutariIade) && !is_bool($kargoTutariIade)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($kargoTutariIade, true), gettype($kargoTutariIade)), __LINE__);
        }
        $this->KargoTutariIade = $kargoTutariIade;
        return $this;
    }
    /**
     * Get KartaIade value
     * @return bool|null
     */
    public function getKartaIade()
    {
        return $this->KartaIade;
    }
    /**
     * Set KartaIade value
     * @param bool $kartaIade
     * @return \StructType\SiparisUrunIptalIadeRequest
     */
    public function setKartaIade($kartaIade = null)
    {
        // validation for constraint: boolean
        if (!is_null($kartaIade) && !is_bool($kartaIade)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($kartaIade, true), gettype($kartaIade)), __LINE__);
        }
        $this->KartaIade = $kartaIade;
        return $this;
    }
    /**
     * Get SiparisId value
     * @return int|null
     */
    public function getSiparisId()
    {
        return $this->SiparisId;
    }
    /**
     * Set SiparisId value
     * @param int $siparisId
     * @return \StructType\SiparisUrunIptalIadeRequest
     */
    public function setSiparisId($siparisId = null)
    {
        // validation for constraint: int
        if (!is_null($siparisId) && !(is_int($siparisId) || ctype_digit($siparisId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($siparisId, true), gettype($siparisId)), __LINE__);
        }
        $this->SiparisId = $siparisId;
        return $this;
    }
    /**
     * Get SiparisUrunListe value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfIptalIadeSiparisUrun|null
     */
    public function getSiparisUrunListe()
    {
        return isset($this->SiparisUrunListe) ? $this->SiparisUrunListe : null;
    }
    /**
     * Set SiparisUrunListe value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfIptalIadeSiparisUrun $siparisUrunListe
     * @return \StructType\SiparisUrunIptalIadeRequest
     */
    public function setSiparisUrunListe(\ArrayType\ArrayOfIptalIadeSiparisUrun $siparisUrunListe = null)
    {
        if (is_null($siparisUrunListe) || (is_array($siparisUrunListe) && empty($siparisUrunListe))) {
            unset($this->SiparisUrunListe);
        } else {
            $this->SiparisUrunListe = $siparisUrunListe;
        }
        return $this;
    }
    /**
     * Get TumUrunlerDurumID value
     * @return int|null
     */
    public function getTumUrunlerDurumID()
    {
        return $this->TumUrunlerDurumID;
    }
    /**
     * Set TumUrunlerDurumID value
     * @param int $tumUrunlerDurumID
     * @return \StructType\SiparisUrunIptalIadeRequest
     */
    public function setTumUrunlerDurumID($tumUrunlerDurumID = null)
    {
        // validation for constraint: int
        if (!is_null($tumUrunlerDurumID) && !(is_int($tumUrunlerDurumID) || ctype_digit($tumUrunlerDurumID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($tumUrunlerDurumID, true), gettype($tumUrunlerDurumID)), __LINE__);
        }
        $this->TumUrunlerDurumID = $tumUrunlerDurumID;
        return $this;
    }
    /**
     * Get TumUrunlerIadeNedenID value
     * @return int|null
     */
    public function getTumUrunlerIadeNedenID()
    {
        return $this->TumUrunlerIadeNedenID;
    }
    /**
     * Set TumUrunlerIadeNedenID value
     * @param int $tumUrunlerIadeNedenID
     * @return \StructType\SiparisUrunIptalIadeRequest
     */
    public function setTumUrunlerIadeNedenID($tumUrunlerIadeNedenID = null)
    {
        // validation for constraint: int
        if (!is_null($tumUrunlerIadeNedenID) && !(is_int($tumUrunlerIadeNedenID) || ctype_digit($tumUrunlerIadeNedenID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($tumUrunlerIadeNedenID, true), gettype($tumUrunlerIadeNedenID)), __LINE__);
        }
        $this->TumUrunlerIadeNedenID = $tumUrunlerIadeNedenID;
        return $this;
    }
    /**
     * Get TumUrunlerIslem value
     * @return int|null
     */
    public function getTumUrunlerIslem()
    {
        return $this->TumUrunlerIslem;
    }
    /**
     * Set TumUrunlerIslem value
     * @param int $tumUrunlerIslem
     * @return \StructType\SiparisUrunIptalIadeRequest
     */
    public function setTumUrunlerIslem($tumUrunlerIslem = null)
    {
        // validation for constraint: int
        if (!is_null($tumUrunlerIslem) && !(is_int($tumUrunlerIslem) || ctype_digit($tumUrunlerIslem))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($tumUrunlerIslem, true), gettype($tumUrunlerIslem)), __LINE__);
        }
        $this->TumUrunlerIslem = $tumUrunlerIslem;
        return $this;
    }
    /**
     * Get TumuIptal value
     * @return bool|null
     */
    public function getTumuIptal()
    {
        return $this->TumuIptal;
    }
    /**
     * Set TumuIptal value
     * @param bool $tumuIptal
     * @return \StructType\SiparisUrunIptalIadeRequest
     */
    public function setTumuIptal($tumuIptal = null)
    {
        // validation for constraint: boolean
        if (!is_null($tumuIptal) && !is_bool($tumuIptal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($tumuIptal, true), gettype($tumuIptal)), __LINE__);
        }
        $this->TumuIptal = $tumuIptal;
        return $this;
    }
}
